function print1(template1,data){
  var html = template1
  // let encoding = require('./encoding')
  // let TextEncoder = encoding.TextEncoder
  // let template = require('./art-template')
   // android.printString(html)
  var render = template.render(html, JSON.parse(data));

  // var htmlparser2 = require('./htmlparser2')
  var byteArray = [27, 64, 10]
  var uint8array = new TextEncoder('gbk', { NONSTANDARD_allowLegacyEncoding: true })
  var handler = new htmlparser2.DomHandler(function(error, dom) {
    dom.forEach(item => {
      if (item.name) {
        var children = item.children
        if (children && children.length == 1 && children[0].type == 'text') {
          // console.log(uint8array.encode('值编号：SDJL1293780123') + '')
          byteArray = byteArray.concat(Array.from(uint8array.encode(children[0].data)))
          byteArray = byteArray.concat([10])
        }
        if (children.length > 1) {
          children.forEach(child => {
            var childChildren = child.children
            if (childChildren && childChildren.length == 1 && childChildren[0].type == 'text') {
              var childStyle = child.attribs.style
              if (childStyle) {
                var styleObject = tools.normalizeStyle(childStyle)
                if (styleObject['text-align']) {
                  console.log(tools.fontAlign(styleObject['text-align']))
                  byteArray = byteArray.concat(tools.fontAlign(styleObject['text-align']))
                }
              }
              byteArray = byteArray.concat(Array.from(uint8array.encode(childChildren[0].data)))
              byteArray = byteArray.concat([10])
            }
          })
        }
      }
    })
    byteArray = byteArray.concat([10, 10, 10, 10])
    android.print12(byteArray)
    // console.log(byteArray + '')
  })

  var parser = new htmlparser2.Parser(handler)
  // var parser = new htmlparser2.Parser({
  //   onopentag(name, attributes) {
  //     console.log(name)
  //     console.log(attributes)
  //     // html = html + '<' + name + '>'
  //     // if (name === 'span') {
  //     //   name = 'p'
  //     // }
  //   },
  //   // ontext(text) {
  //   //     console.log("-->", text);
  //   //   // html  = html + '{{value}}'
  //   // },
  //   // onclosetag(tagname) {
  //   //     // if (tagname === "script") {
  //   //     //     console.log("That's it?!");
  //   //     // }
  //   //     // html = html + '</' + tagname + '>'
  //   //     console.log(tagname, '结尾')
  //   // },
  // });
  parser.write(render);
  parser.end();



  // function transform() {
  //     return render
  // }

  // console.log(transform())

  // let encoding = require('./encoding')
  // let TextEncoder = encoding.TextEncoder
  // console.log(TextEncoder)
  var uint8array = new TextEncoder(
    'gbk', { NONSTANDARD_allowLegacyEncoding: true }).encode('值编号：SDJL1293780123');
  // function encodeArrayOfStrings(strings) {
  //   var encoder, encoded, len, i, bytes, view, offset;

  //   encoder = new TextEncoder();
  //   encoded = [];

  //   len = Uint16Array.BYTES_PER_ELEMENT;
  //   for (i = 0; i < strings.length; i += 1) {
  //     len += Uint16Array.BYTES_PER_ELEMENT;
  //     encoded[i] = new TextEncoder().encode(strings[i]);
  //     len += encoded[i].byteLength;
  //   }

  //   bytes = new Uint16Array(len);
  //   view = new DataView(bytes.buffer);
  //   offset = 0;

  //   view.setUint32(offset, strings.length);
  //   offset += Uint16Array.BYTES_PER_ELEMENT;
  //   for (i = 0; i < encoded.length; i += 1) {
  //     len = encoded[i].byteLength;
  //     view.setUint32(offset, len);
  //     offset += Uint16Array.BYTES_PER_ELEMENT;
  //     bytes.set(encoded[i], offset);
  //     offset += len;
  //   }
  //   return bytes;
  // }
  // var aa = encodeArrayOfStrings('hello world')
  return
}